de.esprit.appsuite.gui

## Class ConsoleToolAction<C extends ApplicationContext>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.ApplicationToolAction<C>
      - - de.esprit.appsuite.gui.ConsoleToolAction<C>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class ConsoleToolAction<C extends ApplicationContext>
      extends ApplicationToolAction<C>

  This action provides a `TextPrintable` for printing action output.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleToolAction(C ctx, NlsActionKey key, IconKey icon, TextPrintable console)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextPrintable` | `getConsole()`

    - ### Methods inherited from class de.esprit.appsuite.gui.ApplicationToolAction

      `actionFired, createWindow, getToolWindow, setToolWindow`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionPrepare, actionSucceeded, checkEnableCondition, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleToolAction

          public ConsoleToolAction(C ctx,
                           NlsActionKey key,
                           IconKey icon,
                           TextPrintable console)

  - ### Method Detail

    - #### getConsole

          public TextPrintable getConsole()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.